# Permissions and Rolls
FabAccess verwendet eine Role-Based Access Control (RBAC)-Struktur zur Verwaltung von Berechtigungen. Dabei werden Berechtigungen Maschinenrollen zugewiesen, und diese Rollen werden dann den Benutzern zugewiesen. Auf diese Weise lässt sich ein komplexes Berechtigungssystem einfach abbilden.

**Die Resourcen haben folgende Berechtigungen die zugewiesen werden:**
```
disclose    -> Ermöglicht es dem Nutzer die Resource über die API zu entdecken, also in einer Liste zu erhalten
read        -> Ermöglicht es dem Nutzer aus der Resource statische Informationen zu erhalten
notify      -> Ermöglicht es dem Nutzer aus der Resource Notify aufzurufen, um statische Informationen zu erhalten
claim       -> Ermöglicht es dem Nutzer die Resource zu leihen und Traits auszuführen
transfer    -> Ermöglicht es dem Nutzer die Resource weiterzugeben
lend        -> Ermöglicht es dem Nutzer die Resource an andere zu verleihen, die nicht die Berechtigung haben die Resource zu verwenden
manage      -> Ermöglicht es dem Nutzer einen claim zu überschreiben
```